<?php
require('../../../QPlatform/Common/Component/ComInitialHead.php');
require($netsFileConfig['sysCoreRoot'].'Inc/m_Shop/Sale/shopfavourablegroup.php');

class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'shopfavourablegroup','sttColumnHead'=>'shfgt'),
			array('sttTableName'=>$this->sysTableHead.'shopfavourablegroupcont','sttColumnHead'=>'shfgct'),);
		$this->sUiName='Platform/shop/action_favourablegroup';
	}
	public function OnBInitial(){
		$this->sMetaTitle='优惠券分类';
		$this->sLimitCount=0;
		$this->sApp=new shopfavourablegroup($this->sConnString);
		//Parid
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=' SELECT 
			A.shfgtID,A.shfgtName,A.shfgtParid 
			FROM '.$this->sysTableHead.'shopfavourablegroup AS A
			WHERE 1=1 AND A.shfgtRecycle=0 AND A.shfgtChecked>1 AND A.shfgtParid={Nets.Parid}
			ORDER BY A.shfgtOrderBy DESC,A.shfgtID DESC ';
		$tmpAR0['SQL0']=' SELECT 
			A.shfgtID,A.shfgtName,A.shfgtParid 
			FROM '.$this->sysTableHead.'shopfavourablegroup AS A
			WHERE 1=1 AND A.shfgtRecycle=0 AND A.shfgtChecked>1 AND A.shfgtID={Nets.Parid}
			ORDER BY A.shfgtOrderBy DESC,A.shfgtID DESC ';
		$tmpAR0['InitialString']=$this->ssetParid;
		$tmpAR0['Parid']='shfgtID';
		$tmpAR0['Text']='shfgtName';
		$tmpAR0['Value']='shfgtID';
		$tmpAR0['Type']=0;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$this->sParid1=$this->sParid2=$this->sControl->bindDropdown($tmpAR0);
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有分类]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sParid2,$tmpAR0);
	}
	public function OnList(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'shfgtID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',-1',0);
		//#Spell sql
		$tmpSQL=' SELECT 
			A.shfgtID,A.shfgtName,A.shfgtParid
			FROM '.$this->sysTableHead.'shopfavourablegroup AS A 
			WHERE 1=1 
			AND A.shfgtID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.shfgtName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.shfgtParid='.$this->sSearchData[1].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].','.$this->sSearchData[1];
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'shfgtID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'shfgtName','stcoctUiName'=>'优惠券分类名');
		
		return 0;
	}
	public function OnNormal(){
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		
		$tmpSQL=' SELECT * 
			FROM '.$this->sysTableHead.'shopfavourablegroup AS A 
			INNER JOIN '.$this->sysTableHead.'shopfavourablegroupcont AS B ON B.shfgctIndexID=A.shfgtID ';
		$Coun0=2;
		foreach ($this->sTable as $Row0){
			if (count($this->sTable)>2) {
				$tmpSQL.=' INNER JOIN '.$Row0['sttTableName'].' AS '.$this->sysTableMark[$Coun0].' ON '.$this->sysTableMark[$Coun0].'.'.$Row0['sttColumnHead'].'IndexID=A.shfgtID ';
				$Coun0++;
			}
		}
		$tmpSQL.=' WHERE 1=1 AND A.shfgtID='.$tmpAR0[0].' ';
		$tmpDataCollection0=$this->sDb->Search($tmpSQL);
		if(count($tmpDataCollection0)>0){
			$tmpRow=$tmpDataCollection0[0];
			$this->sMainID=$tmpRow[$this->sTable[0]['sttColumnHead'].'ID'];
			//-- #Get value --
			$Coun0=0;
			while (count($this->sUiDescription_Normal)>$Coun0) {
				if(isset($tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']])){
					$this->sUiDescription_Normal[$Coun0]['Value']=$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']];
					//Spical set
					if($this->sUiDescription_Normal[$Coun0]['stcotName']=='shfgtParid'){
						$tmpSQL=' SELECT A.dptName FROM '.$this->sysTableHead.'downproduct AS A WHERE 1=1 AND A.dptID='.$tmpRow['shfgtParid'].' ';
						$tmpDataCollection1=$this->sDb->Search($tmpSQL);
						if(count($tmpDataCollection1)>0){
							$this->sUiDescription_Normal[$Coun0]['ShowValue']=$tmpDataCollection1[0]['dptName'];
						}
					}
				}
				$Coun0++;
			}
		}else {}
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		if($pColumn['stcotName']=='Quick'){
			$pColumn['ControlStyle']='width:50px;';
		}else if($pColumn['stcotName']=='shfgtChecked' && $pFlag=='Search'){
			$pColumn['Option']=$this->sChecked2;
		}else if($pColumn['stcotName']=='shfgtChecked' && $pFlag=='Normal'){
			$pColumn['Option']=$this->sChecked1;
		}else if($pColumn['stcotName']=='shfgtParid' && $pFlag=='Search'){
			$pColumn['Option']=$this->sParid2;
		}else if($pColumn['stcotName']=='shfgtParid' && $pFlag=='Normal'){
			$pColumn['Option']=$this->sParid1;
		}
		return $pColumn;
	}
}
//-- ------ #Instanct ------ --
$tmpDefault=new PaDefault();
$tmpDefault->OnPage();
$tmpControls=new CustomControls();
$tmpControlPage=new CustomControlPage();
$tmpComHead->sMenuid=$tmpDefault->sMenuid;
$tmpDefault->sysMetaTitle=$tmpDefault->sMetaTitle.' - '.$tmpDefault->sysFileConfig['sysTitle'];
//-- ------ #Template ------ --
require($tmpDefault->sysFileConfig['sysCoreRoot'].$tmpDefault->sysQPlatformTemplatePath.'Component/Group_0.php'); ?>